#pragma once

#include "GlTexture.h"
#include "MatcapImage.h"



namespace geom
{


class GeomTextureSet
{
public:
	GeomTextureSet(void)
	{
		TexColor  = NULL;
		TexNormal = NULL;
	}

	void ReleaseAll(void)
	{
		TexColor  = NULL;
		TexNormal = NULL;

		TexMatcap.ClearEnv();
	}

public:
	gl::GlTexture* TexColor;
	gl::GlTexture* TexNormal;
	gl::MatcapImage TexMatcap;
};


}
